Combine labels for multiple shipments
curl --request POST \
--url 'https://app.smartsend.io/api/v1/website/{team}/shipments/labels/combine?api_token=' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipments": [
{
"shipment_id": "c5540f2b-3eea-45c4-957a-9d7b53f899e7"
}
]
}
'import requests
url = "https://app.smartsend.io/api/v1/website/{team}/shipments/labels/combine?api_token="
payload = { "shipments": [{ "shipment_id": "c5540f2b-3eea-45c4-957a-9d7b53f899e7" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipments: [{shipment_id: 'c5540f2b-3eea-45c4-957a-9d7b53f899e7'}]})
};
fetch('https://app.smartsend.io/api/v1/website/{team}/shipments/labels/combine?api_token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "combined_label",
"shipments": [
{
"shipment_id": "c5540f2b-3eea-45c4-957a-9d7b53f899e7",
"shipment_internal_id": "870006543",
"shipment_internal_reference": "123",
"carrier_code": "postnord",
"carrier_name": "PostNord",
"parcels": [
{
"parcel_id": "c5540f2b-3eea-45c4-957a-9d7b53f899e7",
"parcel_internal_id": "88654389",
"parcel_internal_reference": "223",
"carrier_code": "postnord",
"carrier_name": "PostNord",
"tracking_code": "DK123456789",
"tracking_link": "https://smartsend.io/tracking/DK123456789"
}
]
}
],
"pdf": {
"link": "https://example.com/labels/DK123456789.pdf",
"base_64_encoded": "<base64-encoded-pdf-here>"
}
}
}{
"message": "Description of the error will be inserted here.",
"code": "ValidationException",
"id": "",
"errors": {},
"links": {}
}{
"message": "Description of the error will be inserted here.",
"code": "ValidationException",
"id": "",
"errors": {},
"links": {}
}{
"message": "Description of the error will be inserted here.",
"code": "ValidationException",
"id": "",
"errors": {},
"links": {}
}{
"message": "Description of the error will be inserted here."
}Bookings
Combine labels for multiple shipments
This endpoint is used to combine labels for multiple shipments into one PDF file
POST
/
v1
/
website
/
{team}
/
shipments
/
labels
/
combine
Combine labels for multiple shipments
Authorizations
Provide API Token as Bearer authentication
Query API Token
Path Parameters
The domain of the website making the agent lookup request
Body
application/json
Input data format
Show child attributes
Show child attributes
Response
Successful operation
Combined Label Resource
Show child attributes
Show child attributes
Was this page helpful?
⌘I